用R老出错,于是最近心灰意冷转战Python,下载安装anconda,里面自带库,比起R,让我这个断网少女省事不少。

但最近还是出错了,用anaconda 打开Navigator 时报错,拒绝访问。

以下是报错代码:

Traceback (most recent call last):

File”E:anacondalibsite-packagespsutil_pswindows.py”, line 635, inwrapper

return fun(self, *args, **kwargs)

File”E:anacondalibsite-packagespsutil_pswindows.py”, line 705, incmdline

ret = cext.proc_cmdline(self.pid)

PermissionError: [WinError 5] 拒绝访问。

During handling of the above exception,another exception occurred:

Traceback (most recent call last):

File”E:anacondalibsite-packagesanaconda_navigatorexceptions.py”,line 75, in exception_handler

return_value = func(*args, **kwargs)

File”E:anacondalibsite-packagesanaconda_navigatorappstart.py”, line113, in start_app

if misc.load_pid() is None: # A stale lockmight be around

File”E:anacondalibsite-packagesanaconda_navigatorutilsmisc.py”, line384, in load_pid

cmds = process.cmdline()

File”E:anacondalibsite-packagespsutil__init__.py”, line 666, incmdline

return self._proc.cmdline()

File”E:anacondalibsite-packagespsutil_pswindows.py”, line 638, inwrapper

raise AccessDenied(self.pid, self._name)

psutil._exceptions.AccessDenied:psutil.AccessDenied (pid=360)

网上找了半天,终于找到解决办法:

Windows下:

1)使用管理员运行:conda prompt

2)执行命令 conda update anaconda-navigator

3)还是不行就试试命令:anaconda-navigator –reset


执行第二个命令时,没有成功,因为计算机积极拒绝。但是第三条命令就很强大了,问题成功解决。


文章来源于互联网,如有雷同请联系站长删除:打开Anaconda Navigator 时报错 error 5 拒绝访问

发表评论